Create an API key
curl --request POST \
--url https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Service API Key",
"scope": "ie_model",
"expiresAt": 1738812775
}
'import requests
url = "https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys"
payload = {
"name": "My Service API Key",
"scope": "ie_model",
"expiresAt": 1738812775
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Service API Key', scope: 'ie_model', expiresAt: 1738812775})
};
fetch('https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Service API Key',
'scope' => 'ie_model',
'expiresAt' => 1738812775
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys"
payload := strings.NewReader("{\n \"name\": \"My Service API Key\",\n \"scope\": \"ie_model\",\n \"expiresAt\": 1738812775\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My Service API Key\",\n \"scope\": \"ie_model\",\n \"expiresAt\": 1738812775\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"My Service API Key\",\n \"scope\": \"ie_model\",\n \"expiresAt\": 1738812775\n}"
response = http.request(request)
puts response.read_body{
"key": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6ImM2NDNh..."
}organizations
Create an API key
Allows a user to generate an API key for their organization.
POST
/
organizations
/
{orgId}
/
api-keys
Create an API key
curl --request POST \
--url https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Service API Key",
"scope": "ie_model",
"expiresAt": 1738812775
}
'import requests
url = "https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys"
payload = {
"name": "My Service API Key",
"scope": "ie_model",
"expiresAt": 1738812775
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'My Service API Key', scope: 'ie_model', expiresAt: 1738812775})
};
fetch('https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Service API Key',
'scope' => 'ie_model',
'expiresAt' => 1738812775
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys"
payload := strings.NewReader("{\n \"name\": \"My Service API Key\",\n \"scope\": \"ie_model\",\n \"expiresAt\": 1738812775\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"My Service API Key\",\n \"scope\": \"ie_model\",\n \"expiresAt\": 1738812775\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://console.gmicloud.ai/api/v1/organizations/{orgId}/api-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"My Service API Key\",\n \"scope\": \"ie_model\",\n \"expiresAt\": 1738812775\n}"
response = http.request(request)
puts response.read_body{
"key": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6ImM2NDNh..."
}Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The organization's ID.
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Body
application/json
The API key creation request.
The API key name.
Example:
"My Service API Key"
The API key scope. Default value is ie_model.
Available options:
ie_model, ce_resource Example:
"ie_model"
The UNIX timestamp when API key will expire (UTC).
- Must be a UNIX timestamp in seconds and must be greater than the current time.
- If not set, the key will not expire.
Example:
1738812775
Response
Successfully created an API key.
The generated API key (returned only once).
Example:
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6ImM2NDNh..."